# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.0.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.video_blacklist_api import VideoBlacklistApi  # noqa: E501
from peertube.rest import ApiException


class TestVideoBlacklistApi(unittest.TestCase):
    """VideoBlacklistApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.video_blacklist_api.VideoBlacklistApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_videos_blacklist_get(self):
        """Test case for videos_blacklist_get

        Get list of videos on blacklist  # noqa: E501
        """
        pass

    def test_videos_id_blacklist_delete(self):
        """Test case for videos_id_blacklist_delete

        Delete an entry of the blacklist of a video by its id  # noqa: E501
        """
        pass

    def test_videos_id_blacklist_post(self):
        """Test case for videos_id_blacklist_post

        Put on blacklist a video by its id  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
